Package org.eclipse.jgit.transport

## Enum PackParser.Source

- java.lang.Object
- - java.lang.Enum<PackParser.Source>
  - - org.eclipse.jgit.transport.PackParser.Source

All Implemented Interfaces:
  `Serializable`, `Comparable<PackParser.Source>`

Enclosing class:
  PackParser

    public static enum PackParser.Source
    extends Enum<PackParser.Source>

Location data is being obtained from.

### Enum Constant Summary

Enum Constants
`DATABASE` Data is read back from the database's buffers.
`INPUT` Data is read from the incoming stream.

### Method Summary

All Methods Static Methods Concrete Methods
`static PackParser.Source` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PackParser.Source[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INPUT

    public static final PackParser.Source INPUT

Data is read from the incoming stream.

#### DATABASE

    public static final PackParser.Source DATABASE

Data is read back from the database's buffers.

### Method Detail

#### values

    public static PackParser.Source[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PackParser.Source c : PackParser.Source.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PackParser.Source valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null